/* Explore Campus */

#explore_campus {
  background-color: var(--color_black_800);
}

.campus-video {
  position: relative;
  width: 100%;
  height: 100%;
  border-radius: 24px;
  max-height: 458px;
  overflow: hidden;
}

.campus-video>img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.campus-video .play-icon {
  position: absolute;
  width: 64px;
  height: 64px;
  top: calc(50% - 32px);
  left: calc(50% - 32px);
  cursor: pointer;
}

.campus-video-thumbnails {
  display: grid;
  grid-template-columns: 2fr 2fr;
  gap: 30px;
}

.campus-video-thumbnails img {
  border-radius: 24px;
  height: 100%;
  object-fit: cover;
}

.video-modal {
  position: fixed;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.6);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 99;
  transition: var(--common_transition);
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
}

.video-modal.show {
  opacity: 1;
  pointer-events: unset;
  visibility: visible;
}

.video-popup {
  background-color: var(--color_white);
  padding: 10px;
  width: 800px;
  height: 460px;
  max-width: 100%;
  position: relative;
  margin-top: 100px;
  transition: var(--common_transition);
  position: relative;
}

.video-popup video {
  width: 100%;
}

.video-modal.show .video-popup {
  margin-top: 0px;
}

.video-popup iframe {
  width: 100%;
  height: 100%;
}

.video-popup .close-video-popup {
  position: absolute;
  top: -32px;
  right: -9px;
  width: 35px;
  padding: 6px;
  cursor: pointer;
}

.video-thumbnail {
  position: relative;
  isolation: isolate;
  cursor: pointer;
  aspect-ratio: 1.3 / 1;
}

.campus-content {
  position: absolute;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.8);
  padding: 20px;
  display: flex;
  align-items: end;
  opacity: 0;
  transition: var(--common_transition);
}

.campus-content p {
  color: var(--color_white);
  margin-bottom: 0;
}

.campus-video:hover .campus-content,
.video-thumbnail:hover .campus-content {
  opacity: 1;
}

@media (min-width: 768px) {
  .campus-video-thumbnails> :nth-child(n+5) {
    display: none;
  }
}

@media (max-width: 767px) {
  /* #explore_campus {
    padding: 50px 0 0 !important;
  } */

  #explore_campus .mobile-simple-carousel {
    flex-direction: column !important;
  }

  #explore_campus .mobile-simple-carousel>div {
    min-width: 100%;
  }

  /* .campus-video {
    min-height: 345px;
  } */

  .campus-video .play-icon {
    width: 48px;
    height: 48px;
    top: calc(50% - 24px);
    left: calc(50% - 24px);
  }

  .campus-video-thumbnails {
    display: flex;
    overflow: auto;
    margin-top: 20px;
    gap: 15px;
  }

  .video-thumbnail {
    flex: 0 0 40%;
  }

  .video-popup {
    margin-left: 20px;
    margin-right: 20px;
    height: auto;
    padding-bottom: 2px;
  }

  .video-popup .close-video-popup {
    top: -33px;
    right: -8px;
  }

  .campus-content {
    display: none;
  }
}

/*  Explore Campus */